Skip to content

Endpoints

All endpoints are relative to the upload service:

https://api.accessful.de/api/v1/upload-service

An X-API-Key is required except when downloading through a signed result link — see Authentication.

Method Endpoint Path
POST Upload a PDF /pdf/upload
POST Upload by URL /pdf/upload-by-url-list
GET Job status /job-status/{caseId}
GET Download the result /download/{caseId}
POST Create browser link /download/{caseId}/link
GET Download with signed link /download/signed?token=…
DELETE Delete a case /delete/{caseId}
DELETE Batch delete /delete